Hugging Face

Search all of Hugging Face

Search Hugging Face models, datasets, Spaces, organizations, users, papers, collections, buckets, kernels and blog posts.

GET/v1/hugging-face/search
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
2
querystringrequiredquery

Search text.

min 1 chars · max 200 chars

typestringoptionalquery

Only this kind of result. Omit to search everything.

one of: model, dataset, space, org, user, paper, collection, bucket, kernel, blog

Response fields
67

Endpoint-specific response payload.

datalookupStatus
string

Whether the item was found.

one of: found, not_found

dataquery
string

The search text.

Matching models.

datamodelstotal
integernullable

How many models match.

A few of the matching models.

datamodelsitems[]id
string

Id of the match.

datamodelsitems[]url
string

Page URL.

datamodelsitems[]title
stringnullable

Title or display name when the match has one.

Matching datasets.

datadatasetstotal
integernullable

How many datasets match.

A few of the matching datasets.

datadatasetsitems[]id
string

Id of the match.

datadatasetsitems[]url
string

Page URL.

datadatasetsitems[]title
stringnullable

Title or display name when the match has one.

Matching Spaces.

dataspacestotal
integernullable

How many Spaces match.

A few of the matching Spaces.

dataspacesitems[]id
string

Id of the match.

dataspacesitems[]url
string

Page URL.

dataspacesitems[]title
stringnullable

Title or display name when the match has one.

Matching organizations.

dataorganizationstotal
integernullable

How many organizations match.

A few of the matching organizations.

dataorganizationsitems[]id
string

Id of the match.

dataorganizationsitems[]url
string

Page URL.

dataorganizationsitems[]title
stringnullable

Title or display name when the match has one.

Matching users.

datauserstotal
integernullable

How many users match.

A few of the matching users.

datausersitems[]id
string

Id of the match.

datausersitems[]url
string

Page URL.

datausersitems[]title
stringnullable

Title or display name when the match has one.

Matching papers.

datapaperstotal
integernullable

How many papers match.

A few of the matching papers.

datapapersitems[]id
string

Id of the match.

datapapersitems[]url
string

Page URL.

datapapersitems[]title
stringnullable

Title or display name when the match has one.

Matching collections.

datacollectionstotal
integernullable

How many collections match.

A few of the matching collections.

datacollectionsitems[]id
string

Id of the match.

datacollectionsitems[]url
string

Page URL.

datacollectionsitems[]title
stringnullable

Title or display name when the match has one.

Matching storage buckets.

databucketstotal
integernullable

How many storage buckets match.

A few of the matching storage buckets.

databucketsitems[]id
string

Id of the match.

databucketsitems[]url
string

Page URL.

databucketsitems[]title
stringnullable

Title or display name when the match has one.

Matching kernels.

datakernelstotal
integernullable

How many kernels match.

A few of the matching kernels.

datakernelsitems[]id
string

Id of the match.

datakernelsitems[]url
string

Page URL.

datakernelsitems[]title
stringnullable

Title or display name when the match has one.

Matching blog posts.

datablogstotal
integernullable

How many blog posts match.

A few of the matching blog posts.

datablogsitems[]id
string

Id of the match.

datablogsitems[]url
string

Page URL.

datablogsitems[]title
stringnullable

Title or display name when the match has one.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/hugging-face/search?query=bert" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Grouped search results.